# $Revision: 1.23 $, $Date: 2004/05/06 18:09:33 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Valid
Summary:	Email::Valid - module determines whether an email address is valid
Summary(pl):	Email::Valid - modu sprawdzajcy poprawno adresu e-mail
Name:		perl-%{pdir}-%{pnam}
Version:	0.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	371b1552b81b93ffbf89cf2b1c1376c5
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-MailTools
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain.

%description -l pl
Ten modu sprawdza czy adres e-mail jest poprawnie zapisany i,
opcjonalnie, czy istnieje host przyjmujcy poczt.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Valid.spec,v $
Revision 1.23  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/20 23:07:06  ankry
- new bcond fixes

Revision 1.21  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.20  2004/04/14 14:57:04  ankry
- cosmetics

Revision 1.19  2003/09/15 09:42:34  adamg
- updated to 0.15

Revision 1.18  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.17  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/07/25 22:37:38  radek
- release 3: removed the perl_vendorlib/Email directory (moved to perl-base)
- fixed the License field
- put BR: perl-MailTools on bcond

Revision 1.15  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 19:08:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:31:58  ankry
- massive attack: change CPAN URLs

Revision 1.9  2002/07/20 20:33:54  qboosh
- updated to 0.14, fixed BRs

Revision 1.8  2002/07/16 23:33:40  ankry
- cleaning
- added %%{perl_sitelib}/Email (moved from perl)
- new %%doc
- release 4

Revision 1.7  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.6  2002/03/03 21:45:27  marcus
- rel.3.

Revision 1.5  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/10 15:26:03  depesz
adapterized

Revision 1.3  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/18 11:04:48  qboosh
- pl translations; release 2

Revision 1.1  2001/12/17 14:14:05  mis
- new
